NX Open C++ Reference Guide
|
This class is worked as a packet of information that can be used to change cross-section state. More...
Public Member Functions | |
bool | GetAbsoluteValue () |
Ask whether all values are absolute values. | |
int | GetBeamElement () |
Ask beam element ID. | |
NXOpen::CAE::Result::BeamEnd | GetBeamEnd () |
Ask beam end. | |
NXOpen::CAE::Result::Complex | GetComplexCriterion () |
If result is complex it returns which component is set(like real or imaginary) | |
bool | GetElementResult () |
Query Element Result value. | |
NXOpen::CAE::Result::ElementValueCriterion | GetElementValueCriterion () |
Ask how element the result is defined. | |
double | GetFilletRadius () |
Return the fillets flag. | |
bool | GetFillets () |
Return the fillets flag. | |
NXOpen::CAE::BaseResultType * | GetGenericResultType () |
Ask Result type. | |
NXOpen::CAE::ResultParameters * | GetModelRangeParameters () |
Ask model range parameters. | |
double | GetPhaseAngle () |
Ask phase angle. | |
NXOpen::CAE::Result::Component | GetResultComponent () |
Ask result component. | |
double | GetScale () |
Ask scale. | |
NXOpen::CAE::Result::TensorDerivedAbsolute | GetTensorComponentAbsoluteValue () |
Get the method used when calculating the absolute values for the derived components of CAE::Result::DataType::Tensor like CAE::Result::Component::MaximumPrincipal. | |
NXOpen::Unit * | GetUnit () |
Ask result unit. | |
void | MakeElementResult (bool elementResult) |
Make Nodal result to Element Result. | |
void | SetAbsoluteValue (bool absolute) |
Set all values to absolute values. | |
void | SetBeamElement (int beamEid) |
Set beam element ID Created in NX7.5.0. | |
void | SetBeamEnd (NXOpen::CAE::Result::BeamEnd beamEnd) |
Set beam end Created in NX7.5.0. | |
void | SetComplexCriterion (NXOpen::CAE::Result::Complex complex) |
Set complex criteria Created in NX7.5.0. | |
void | SetElementValueCriterion (NXOpen::CAE::Result::ElementValueCriterion criteria) |
Set how element the result is defined Created in NX7.5.0. | |
void | SetFilletRadius (double filletRadius) |
Turns on the fillets flag. | |
void | SetFillets (bool fillets) |
Turns on the fillets flag. | |
void | SetGenericResultType (NXOpen::CAE::BaseResultType *type) |
Set Result type Created in NX7.5.0. | |
void | SetPhaseAngle (double angle) |
Sets the phase angle at which result will be evaluated. | |
void | SetResultComponent (NXOpen::CAE::Result::Component component) |
Set result component Created in NX7.5.0. | |
void | SetScale (double scale) |
Set scale. | |
void | SetTensorComponentAbsoluteValue (NXOpen::CAE::Result::TensorDerivedAbsolute absolute) |
Set the method used when calculating the absolute values for the derived components of CAE::Result::DataType::Tensor like CAE::Result::Component::MaximumPrincipal. | |
void | SetUnit (NXOpen::Unit *unit) |
Set result unit Created in NX7.5.0. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class is worked as a packet of information that can be used to change cross-section state.
<br/>Use @link CAE::ResultManager CAE::ResultManager@endlink to create an @link CAE::CrossSectionParameters CAE::CrossSectionParameters@endlink <br> To obtain an instance of this class use @link Session::ResultManager Session::ResultManager@endlink . <br>
Created in NX7.5.0.
bool NXOpen::CAE::CrossSectionParameters::GetAbsoluteValue | ( | ) |
Ask whether all values are absolute values.
@return
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
int NXOpen::CAE::CrossSectionParameters::GetBeamElement | ( | ) |
Ask beam element ID.
NXOpen::CAE::Result::BeamEnd NXOpen::CAE::CrossSectionParameters::GetBeamEnd | ( | ) |
Ask beam end.
NXOpen::CAE::Result::Complex NXOpen::CAE::CrossSectionParameters::GetComplexCriterion | ( | ) |
If result is complex it returns which component is set(like real or imaginary)
bool NXOpen::CAE::CrossSectionParameters::GetElementResult | ( | ) |
Query Element Result value.
NXOpen::CAE::Result::ElementValueCriterion NXOpen::CAE::CrossSectionParameters::GetElementValueCriterion | ( | ) |
Ask how element the result is defined.
double NXOpen::CAE::CrossSectionParameters::GetFilletRadius | ( | ) |
Return the fillets flag.
bool NXOpen::CAE::CrossSectionParameters::GetFillets | ( | ) |
Return the fillets flag.
NXOpen::CAE::BaseResultType* NXOpen::CAE::CrossSectionParameters::GetGenericResultType | ( | ) |
Ask Result type.
NXOpen::CAE::ResultParameters* NXOpen::CAE::CrossSectionParameters::GetModelRangeParameters | ( | ) |
Ask model range parameters.
double NXOpen::CAE::CrossSectionParameters::GetPhaseAngle | ( | ) |
Ask phase angle.
If complex result is set to Phaseangle type then user can specify an angle at which result will be evaluated
NXOpen::CAE::Result::Component NXOpen::CAE::CrossSectionParameters::GetResultComponent | ( | ) |
Ask result component.
double NXOpen::CAE::CrossSectionParameters::GetScale | ( | ) |
Ask scale.
NXOpen::CAE::Result::TensorDerivedAbsolute NXOpen::CAE::CrossSectionParameters::GetTensorComponentAbsoluteValue | ( | ) |
Get the method used when calculating the absolute values for the derived components of CAE::Result::DataType::Tensor like CAE::Result::Component::MaximumPrincipal.
NXOpen::Unit* NXOpen::CAE::CrossSectionParameters::GetUnit | ( | ) |
Ask result unit.
void NXOpen::CAE::CrossSectionParameters::MakeElementResult | ( | bool | elementResult | ) |
Make Nodal result to Element Result.
To define what value should be used to represent an element, use @link CAE::CrossSectionParameters::SetElementValueCriterion CAE::CrossSectionParameters::SetElementValueCriterion@endlink
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
elementResult | elementresult |
void NXOpen::CAE::CrossSectionParameters::SetAbsoluteValue | ( | bool | absolute | ) |
Set all values to absolute values.
Warning: Once converted to absolute value it is not possible to revert to original values.
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
absolute | absolute |
void NXOpen::CAE::CrossSectionParameters::SetBeamElement | ( | int | beamEid | ) |
Set beam element ID
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
beamEid | beam eid |
void NXOpen::CAE::CrossSectionParameters::SetBeamEnd | ( | NXOpen::CAE::Result::BeamEnd | beamEnd | ) |
Set beam end
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
beamEnd | beam end |
void NXOpen::CAE::CrossSectionParameters::SetComplexCriterion | ( | NXOpen::CAE::Result::Complex | complex | ) |
Set complex criteria
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
complex | complex |
void NXOpen::CAE::CrossSectionParameters::SetElementValueCriterion | ( | NXOpen::CAE::Result::ElementValueCriterion | criteria | ) |
Set how element the result is defined
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
criteria | criteria |
void NXOpen::CAE::CrossSectionParameters::SetFilletRadius | ( | double | filletRadius | ) |
Turns on the fillets flag.
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
filletRadius | fillet radius |
void NXOpen::CAE::CrossSectionParameters::SetFillets | ( | bool | fillets | ) |
Turns on the fillets flag.
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
fillets | fillets |
void NXOpen::CAE::CrossSectionParameters::SetGenericResultType | ( | NXOpen::CAE::BaseResultType * | type | ) |
Set Result type
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
type | type |
void NXOpen::CAE::CrossSectionParameters::SetPhaseAngle | ( | double | angle | ) |
Sets the phase angle at which result will be evaluated.
This is only value if complex result is set to the PhaseAngle type
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
angle | angle |
void NXOpen::CAE::CrossSectionParameters::SetResultComponent | ( | NXOpen::CAE::Result::Component | component | ) |
Set result component
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
component | component |
void NXOpen::CAE::CrossSectionParameters::SetScale | ( | double | scale | ) |
Set scale.
This will affect all subsequent result query.
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
scale | scale |
void NXOpen::CAE::CrossSectionParameters::SetTensorComponentAbsoluteValue | ( | NXOpen::CAE::Result::TensorDerivedAbsolute | absolute | ) |
Set the method used when calculating the absolute values for the derived components of CAE::Result::DataType::Tensor like CAE::Result::Component::MaximumPrincipal.
Created in NX8.0.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
absolute | absolute |
void NXOpen::CAE::CrossSectionParameters::SetUnit | ( | NXOpen::Unit * | unit | ) |
Set result unit
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
unit | unit |